;
	FMCOM	EQU	0E4H
	FMDATA	EQU	0E5H
	FMADRL	EQU	0E6H
	FMADRH	EQU	0E7H
	CODE_RX_DELAY	EQU	08H
;
;MICROPROCESSOR I/O ASSIGNMENT
	UNIT1		BIT	P0.0
	UNIT4		BIT	P0.1
	M4		BIT	P0.2
	M3		BIT	P0.3
	RS485EN		BIT	P0.4
	TEN4		BIT	P0.5
	M2		BIT	P0.6
	M1		BIT	P0.7
;
;	TX		BIT	P1.0
;	RX		BIT	P1.1
	UNIT8		BIT	P1.2
	TEN8		BIT	P1.3	;INT0
	NLEDTX		BIT	P1.4	;INT1
	MAGIN		BIT	P1.5	;Magnet input for speed slowdown troubleshoot
;	unused	BIT	P1.5	;RST
	TEN2		BIT	P1.6
	UNIT2		BIT	P1.7
;
;	NA	P2.0
;
	TEN1		BIT	P3.0
	NLEDRX		BIT	P3.1
;
;RAM	ASSIGNMENT-BIT MAP
	LPWREN		BIT	EX0	;ACTIVE LOW
	TMR0EN		BIT	ET0
	INT1EN		BIT	EX1
;	TMR1EN		BIT	ET1
	RXTXEN		BIT	REN
	IEALL		BIT	EA
	TXFIN		BIT	TI
	RXIN		BIT	RI
;
;
;REGISTER BANK USEAGE:
;RB0:	USED BY PROGRAM
	RB0R0		DATA	0H
	RB0R1		DATA	1H
	RB0R2		DATA	2H
	RB0R3		DATA	3H
	RB0R4		DATA	4H
	RB0R5		DATA	5H
	RB0R6		DATA	6H
	RB0R7		DATA	7H
;
;RB1	R0,1,2,3,4,5,6,7  USED BY TIMER INTERRUPT
	TSEC_TMR	DATA	0BH
	COMM_TMR	DATA	0CH	;
	SILENT_TMR	DATA	0DH
;
;RB2	USED RS232
;
;RB3	USED INTO FOR ENCODER
;	RPM_1		DATA	1AH
;	RPM_2		DATA	1BH
	RPM_TMR		DATA	1CH	;length 3 bytes
;
;20H
	STS		DATA	20H
	LPWRF		BIT	0
 	TMR1RQ		BIT	1
 	TSEC_F		BIT	2
 	COMPUTE_RPM_F	BIT	3
 	NO_RPM		BIT	4
	SLOW_RPM	BIT	5
	RD_RPM		BIT	6
	RD_DLY		BIT	7
;

;21H
	RS_STS		DATA	21H
	RXCOM_RQ	BIT	RS_STS.0	;=1 WHEN RXING COM	
	TXING		BIT	RS_STS.1	;=1 WHEN TXING
	TXCOM		BIT	RS_STS.2	;=1 WHEN TXING COM
	TX_RD		BIT	RS_STS.3	;=1 when responding to read.
	TX_DATA		BIT	RS_STS.4	;=1 when sending data.
	RXIN_F		BIT	RS_STS.5	;=1 when command? in buffer

	ALL_IDS		BIT	RS_STS.7
;22H
	RPM_TIME	DATA	22H
	RPM_TIME1	DATA	RPM_TIME+3
	RPM_TIME2	DATA	RPM_TIME1+3
	RPM_TIME3	DATA	RPM_TIME2+3
	RPM_TIME4	DATA	RPM_TIME3+3
	RPM_TIME5	DATA	RPM_TIME4+3
	RPM		DATA	RPM_TIME5+3
	RX_DELAY	DATA	RPM+2
	SLAVE_ID	DATA	RX_DELAY+2
	CRC		DATA	SLAVE_ID+1
	ADDR		DATA	CRC+2
	BYTES		DATA	ADDR+2
	RX_PTR		DATA	BYTES+1
	TX_PTR		DATA	RX_PTR
	TX_CTR		DATA	RX_PTR+1
	TXBFR		DATA	TX_CTR+1
	RXBFR		DATA	TXBFR
	TXBFREND	DATA	TXBFR+20
	RXBFREND	DATA	TXBFREND
	STACK_BOT	DATA	RXBFREND+1
;
;
;;CONSTANTS
	SEL_RB_0	EQU	0
	SEL_RB_1	EQU	8
	SEL_RB_2	EQU	16
	SEL_RB_3	EQU	24
;
	TSEC		EQU	200
	CHAR1D5		EQU	5
				;1 COUNT = 500 USEC
				;1.5 CHAR, 3 COUNTS
	FN_READ4X	EQU	3
	FN_WRITE4X	EQU	10H	
	MAXREGS		EQU	1
;
	SEL_DP1		EQU	80H		;low power CLK and DP1
	WD_163MS	EQU	10000111B
;
;
